<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<!--
IGAC proyecto SNC

@author david.cifuentes
@version 1.0
@description Pantalla para gestionar el cargue y asociación de las unidades de construcción originales del predio.
@cu CU-NP-CO-238 Permitir adicionar construcciones existentes en PH y condominio

-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" 
             id="unidadesConstruccionesPredioOriginalPanelGrid"
             width="100%">

    <div style="overflow: auto; width: 100%;">	
        <p:dataTable var="unidadConstruccion"
                     id="unidadConstruccionConvencionalPredioOriginalTable"
                     widgetVar="unidadConstruccionConvencionalPredioOriginalTableWV"
                     emptyMessage="No hay registros disponibles"
                     value="#{managedBeanParam.unidadConstruccionConvencionalPredioOriginal}">
            <f:facet name="header">Unidades de construcción convencional</f:facet>

            <p:column>
                <f:facet name="header">Acciones</f:facet>
                <h:selectBooleanCheckbox value="#{unidadConstruccion.selected}" />
            </p:column>

            <p:column>
                <f:facet name="header">Unidad</f:facet>
                <h:outputText value="#{unidadConstruccion.unidad}" title="#{unidadConstruccion.id}"/>
            </p:column>

            <p:column>
                <f:facet name="header">Uso unidad</f:facet>
                <h:outputText value="#{unidadConstruccion.usoConstruccion.nombre}" />
            </p:column>

            <p:column>
                <f:facet name="header">Piso<br /> ubicación<br />unidad</f:facet>
                <h:outputText value="#{unidadConstruccion.pisoUbicacion}" />
            </p:column>

            <p:column>
                <f:facet name="header">Total<br /> pisos<br />unidad</f:facet>
                <h:outputText value="#{unidadConstruccion.totalPisosUnidad}" />
            </p:column>

            <p:column>
                <f:facet name="header">Habitaciones</f:facet>
                <h:outputText value="#{unidadConstruccion.totalHabitaciones}" />
            </p:column>

            <p:column>
                <f:facet name="header">Baños</f:facet>
                <h:outputText value="#{unidadConstruccion.totalBanios}" />
            </p:column>

            <p:column>
                <f:facet name="header">Locales</f:facet>
                <h:outputText value="#{unidadConstruccion.totalLocales}" />
            </p:column>

            <p:column>
                <f:facet name="header">Puntos</f:facet>
                <h:outputText value="#{unidadConstruccion.totalPuntaje}">
                    <f:convertNumber type="number" maxFractionDigits="0"/>
                </h:outputText>
            </p:column>

            <p:column>
                <f:facet name="header">Área (m2)<br />construida</f:facet>
                <h:outputText value="#{unidadConstruccion.areaConstruida}">
                    <f:convertNumber type="number"  />
                </h:outputText>
            </p:column>

            <p:column>
                <f:facet name="header">Valor m2</f:facet>
                <h:outputText value="#{unidadConstruccion.valorM2Construccion}">
                    <f:convertNumber type="number" />
                </h:outputText>
            </p:column>

            <p:column>
                <f:facet name="header">Avalúo<br /> unidad</f:facet>
                <h:outputText value="#{unidadConstruccion.avaluo}">
                    <f:convertNumber type="number" />
                </h:outputText>
            </p:column>

            <p:column>
                <f:facet name="header">Año<br />construcción</f:facet>
                <h:outputText value="#{unidadConstruccion.anioConstruccion}" />
            </p:column>

            <p:column>
                <f:facet name="header">Tipificación</f:facet>
                <h:outputText value="#{unidadConstruccion.tipificacionValor eq 'NA' ? ' ' : unidadConstruccion.tipificacionValor}" />
            </p:column>

            <p:column>
                <f:facet name="header">Detalle</f:facet>
                <p:commandButton title="Ver detalle de la unidad de construcción"
                                 immediate="true" ajax="true" icon="ui-icon ui-icon-search"
                                 onstart="statusDialog2.show();"
                                 update=":dpCC:informacionConstruccionForm"
                                 oncomplete="statusDialog2.hide();infoConstruccionWV.show();">
                    <f:setPropertyActionListener
                        target="#{consultaFichaMatrizPredio.predioUnidadConstruccionSeleccionado}"
                        value="#{unidadConstruccion}" />
                </p:commandButton>
            </p:column>

        </p:dataTable>
    </div>

    <p:separator />

    <div style="overflow: auto; width: 100%;">
        <p:dataTable var="unidadConstruccion"
                     id="unidadConstruccionNoConvencionalPredioOriginalTable"
                     widgetVar="unidadConstruccionNoConvencionalPredioOriginalTableWV"
                     emptyMessage="No hay registros disponibles"
                     value="#{managedBeanParam.unidadConstruccionNoConvencionalPredioOriginal}">
            <f:facet name="header">Unidades de construcción no convencional</f:facet>

            <p:column>
                <f:facet name="header">Acciones</f:facet>
                <h:selectBooleanCheckbox value="#{unidadConstruccion.selected}" />
            </p:column>

            <p:column>
                <f:facet name="header">Unidad</f:facet>
                <h:outputText value="#{unidadConstruccion.unidad}" />
            </p:column>

            <p:column>
                <f:facet name="header">Uso unidad</f:facet>
                <h:outputText value="#{unidadConstruccion.usoConstruccion.nombre}" />
            </p:column>

            <p:column>
                <f:facet name="header">Descripción<br /> construcción</f:facet>
                <h:outputText value="#{unidadConstruccion.descripcion}" />
            </p:column>

            <p:column>
                <f:facet name="header">Tipo</f:facet>
                <h:outputText value="#{unidadConstruccion.totalPuntaje}" />
            </p:column>

            <p:column>
                <f:facet name="header">Avalúo<br /> unidad</f:facet>
                <h:outputText value="#{unidadConstruccion.avaluo}">
                    <f:convertNumber type="number" />
                </h:outputText>
            </p:column>

            <p:column>
                <f:facet name="header">Detalle</f:facet>

                <p:column headerText="Detalle" style="width: 50px;">
                    <p:commandButton title="Ver detalle de la unidad de construcción"
                                     process="@this" icon="ui-icon ui-icon-search"
                                     onstart="statusDialog2.show();"
                                     update=":dpCC:informacionConstruccionForm"
                                     oncomplete="statusDialog2.hide();infoConstruccionWV.show();">
                        <f:setPropertyActionListener
                            target="#{consultaFichaMatrizPredio.predioUnidadConstruccionSeleccionado}"
                            value="#{unidadConstruccion}" />
                    </p:commandButton>

                </p:column>
            </p:column>
        </p:dataTable>

    </div>
    <p:separator />

    <p:outputPanel layout="block" style="#{styleButtonParam}">
        <p:commandButton action="#{managedBeanParam.asociarConstruccionesPredioOriginal}"
                         value="Asociar construcciones" rendered="#{mostrarSeleccion}"
                         disabled="#{!managedBeanParam.tramite.segundaDesenglobe}"
                         title="Asociar construcciones seleccionadas"
                         icon="ui-icon-arrowthick-1-s"
                         process="@this,unidadesConstruccionesPredioOriginalPanelGrid"
                         update=":tabView1:gestionarFichaMatrizForm:panelContrucciones, :tabView1:gestionarFichaMatrizForm:panelAreasFM, :tabView1:gestionDetalleAvaluoForm" />
    </p:outputPanel>

</h:panelGrid>